#target illustrator
// 获取当前时间
function getdate() {
  var d = new Date(), month = '' + (d.getMonth() + 1),
    day = '' + d.getDate(), year = d.getFullYear();
  if (month.length < 2) month = '0' + month;
  if (day.length < 2) day = '0' + day;
  return [year, month, day].join('-');
}

// 获取 AI文档名称
var docRef = activeDocument;
var str = docRef.name;
str = str + "     " + getdate();

// alert("本脚本建立一个文本:\n" + str);

// 文档中建立一个新文本
// var textRef = docRef.textFrames.add();
// textRef.top = 100;
// textRef.left = 200;
// textRef.contents = str;

var mm = 25.4 / 72;  // pt 和 mm 转换系数

var base = new Array();
base = docRef.rulerOrigin;    // 画板标尺原点，相对于画板的左上角
// alert("画板标尺原点mm  x:" + base[0] * mm +" y:" + base[1] * mm + "\n画板大小mm 宽:" + docRef.width * mm +"  高:" + docRef.height * mm);

var pw = 0;
var ph = 0;
var x = base[0];    // 画板左下角 x 坐标
var y = - base[1];  // 画板左下角 y 坐标
var myFont = textFonts.getByName("MicrosoftYaHei");
var myFontSize = 7;

pw = docRef.width;  //  文档宽
ph = docRef.height; //  文档高
x = pw / 2 - x;     //  转换x坐标: 画板中下x

function filenameDate() {
  var textRef = docRef.textFrames.add();    // 建立文本
  textRef.contents = str;                   // 填充文本字符串:   AI文档名称 + 时间
  textRef.textRange.characterAttributes.size = myFontSize;   // 设置字体尺寸
  textRef.textRange.characterAttributes.textFont = myFont;   // 设置字体名称
  textRef.textRange.characterAttributes.fillColor = docRef.swatches[1].color;   // 设置拼版色
  textRef.top = y + 7;    // 画板底向上偏移
  textRef.left = x - textRef.width - 10 ;   // 画板x中，偏移文本宽和间隔宽
}

filenameDate();
